Index: /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-PW6_VARGAS
===================================================================
--- /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-PW6_VARGAS	(revision 3519)
+++ /trunk/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-PW6_VARGAS	(revision 3520)
@@ -11,5 +11,5 @@
 # @ total_tasks = NPROCS
 # time
-# @ wall_clock_limit = 0:30:00
+# @ wall_clock_limit = 1:30:00
 # @ queue
 
Index: /trunk/NEMOGCM/SETTE/README
===================================================================
--- /trunk/NEMOGCM/SETTE/README	(revision 3519)
+++ /trunk/NEMOGCM/SETTE/README	(revision 3520)
@@ -11,8 +11,10 @@
                COMPILER    : compiler among those available in NEMOGCM/ARCH, needed for makenemo (see below)
                              can also be pass as an argument, e.g. ./sette.sh ifort_osx
-	       BATCH_COMMAND : command for job submission in batch mode
-	       MPI_INTERACT : "yes" if you want to run in interactive mode for MPI run
-	       		      "no" if you want to run in batch mode for MPI run
-			      NOTE : every job using only 1 proc is run in interactive mode
+	       BATCH_COMMAND_PAR : command for job submission in batch mode parallel (MMIÂ)
+	       BATCH_COMMAND_SEQ : command for job submission in batch mode sequential (NB_PROC = 1)
+	       INTERACT_FLAG : "yes" if you want to run in interactive mode 
+	       		       "no" if you want to run in batch mode
+	       MPIRUN_FLAG   : "yes" if you want to run in parallel (MPI)
+			       "no" if you want to run in sequential mode (NB_PROC = 1)
 
                makenemo -m : machine (compilator); see ./makenemo -m help (in NEMOGCM/CONFIG directory)
@@ -33,9 +35,9 @@
 
                prepare_job.sh generates the script to be executed 
-			input: INPUT_FILE_CONFIG_NAME NB_PROCS TEST_NAME MPI_FLAG JOB_FILE_NAME
+			input: INPUT_FILE_CONFIG_NAME NUMBER_PROC TEST_NAME MPIRUN_FLAG JOB_FILE
 
-               fcm_job.sh needs input: TOTAL_NUMBER_OF_PROCS_used JOB_FILE_NAME INTERACT_FLAG MPI_FLAG 
-			(for example if you compile ORCA2_LIM with key_mpp_mpi 
-			and only run short test ===> ./fcm_job input_ORCA2_LIM.cfg 4 SHORT)
+               fcm_job.sh needs input: TOTAL_NUMBER_OF_PROCS_used JOB_FILE_NAME INTERACT_FLAG MPIRUN_FLAG 
+			(for example if you run with 4 procs JOB_FILE batch parallel 
+			and only run short test ===> ./fcm_job 4 SHORT no    yes   )
 
  in param.cfg :
@@ -49,6 +51,6 @@
                is the same of that in input_REF_CONFIG.cfg, if not change one.
 
-               change in "RUN OPA" if [ ${MPI_INTERACT} == "yes" ] mpirun command line (some examples are already written)
-	       NOTE: if MPI_INTERACT="no" it is neede a batch_file (see below to create a new one)
+               change in "RUN OPA" if [ ${INTERACT_FLAG} == "yes" ] mpirun command line (some examples are already written)
+	       NOTE: if INTERACT_FLAG="no" it is needed a batch_file (see below to create a new one)
 
 NOTE:
@@ -77,3 +79,3 @@
 1. see in SETTE/BATCH_TEMPLATE directory existing examples
 2. create you own batch file like: batch-${COMPILER}
-(note: sette.sh will copy it in job_batch_template if you run tests in MPI_INTERACT="no")
+(note: sette.sh will copy it in job_batch_template if you run tests in INTERACT_FLAG="no")
Index: /trunk/NEMOGCM/SETTE/fcm_job.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/fcm_job.sh	(revision 3519)
+++ /trunk/NEMOGCM/SETTE/fcm_job.sh	(revision 3520)
@@ -25,5 +25,5 @@
 # :: lauches the script $JOB_FILE interactive or batch, one task or MPI
 #
-#  $ ./fcm_job.sh NUMBER_OF_PROCS JOB_FILE INTERACT MPI_FLAG
+#  $ ./fcm_job.sh NUMBER_OF_PROCS JOB_FILE INTERACT_FLAG MPIRUN_FLAG
 #
 #
@@ -40,7 +40,10 @@
 # ::
 #
-#  $ ./fcm_job.sh NUMBER_OF_PROCS JOB_FILE INTERACT MPI_FLAG
+#  $ ./fcm_job.sh NUMBER_OF_PROCS JOB_FILE INTERACT_FLAG MPIRUN_FLAG
 #
-#  run a 
+#  run a job with 1 processor SHORT test ( 5 days ) 
+#  using an interactive run without mpirun 
+#
+#  ./fcm_job.sh        1           SHORT        yes          no 
 #
 #
@@ -54,5 +57,5 @@
 # ==========
 #
-# $Id$
+# $Id: $
 #
 #
@@ -63,6 +66,6 @@
 #
 
-usage=" Usage : ./fcm_job.sh  NUMBER_OF_PROCS JOB_FILE INTERACT MPI_FLAG"
-usage=" example : ./fcm_job.sh 8 SHORT no/yes no/yes"
+usage=" Usage : ./fcm_job.sh  NUMBER_OF_PROCS JOB_FILE INTERACT_FLAG MPIRUN_FLAG"
+usage=" example : ./fcm_job.sh       8          SHORT      no/yes       no/yes"
 
 
@@ -83,17 +86,17 @@
 export NB_PROCS=$1
 export JOB_FILE=$2
-export INTERACT=$3
-export MPI_FLAG=$4
+export INTERACT_FLAG=$3
+export MPIRUN_FLAG=$4
 ################################################################
 # RUN OPA
 cd ${EXE_DIR}
-if [ "$INTERACT" == "yes" ]; then
-        eval $JOB_FILE
-else if [ "$INTERACT" == "no" ]; then
-# submit job to batch system 
-        if [ "$NB_PROC" == "1" ]; then
-	   eval ${BATCH_COMMAND_SEQ} $JOB_FILE ; echo  ${BATCH_COMMAND_SEQ} $JOB_FILE
+if [ "${INTERACT_FLAG}" == "yes" ]; then
+	eval ${JOB_FILE}
+else if [ "${INTERACT_FLAG}" == "no" ]; then
+	# submit job to batch system 
+        if [ "${NB_PROC}" == "1" ]; then
+		eval ${BATCH_COMMAND_SEQ} ${JOB_FILE} ; echo  ${BATCH_COMMAND_SEQ} ${JOB_FILE}
         else
-	   eval ${BATCH_COMMAND_PAR} $JOB_FILE ; echo ${BATCH_COMMAND_PAR} $JOB_FILE
+		eval ${BATCH_COMMAND_PAR} ${JOB_FILE} ; echo ${BATCH_COMMAND_PAR} ${JOB_FILE}
         fi
 fi
Index: /trunk/NEMOGCM/SETTE/input_ORCA2_LIM.cfg
===================================================================
--- /trunk/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 3519)
+++ /trunk/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 3520)
@@ -1,1 +1,1 @@
-ORCA2_LIM_nemo_v3.3.tar
+ORCA2_LIM_nemo_v3.4.tar
Index: /trunk/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg
===================================================================
--- /trunk/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 3519)
+++ /trunk/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 3520)
@@ -1,1 +1,1 @@
-ORCA2_LIM_nemo_v3.3.tar
+ORCA2_LIM_PISCES_v3.4.tar
Index: unk/NEMOGCM/SETTE/input_POMME.cfg
===================================================================
--- /trunk/NEMOGCM/SETTE/input_POMME.cfg	(revision 3519)
+++ 	(revision )
@@ -1,1 +1,0 @@
-POMME_nemo_v3_3.tar
Index: /trunk/NEMOGCM/SETTE/prepare_job.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/prepare_job.sh	(revision 3519)
+++ /trunk/NEMOGCM/SETTE/prepare_job.sh	(revision 3520)
@@ -1,8 +1,13 @@
 #####################################################
-# Author : Italo Epicoco for NEMO
-# Contact : italo.epicoco@unisalento.it
-#
-# Some scripts called by sette.sh 
-# prepare_job.sh   : create the job script for running job 
+# Author : Simona Flavoni for NEMO
+# Contact : sflod@locean-ipsl.upmc.fr
+#
+# ----------------------------------------------------------------------
+# NEMO/SETTE , NEMO Consortium (2010)
+# Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+# ----------------------------------------------------------------------
+#
+# Some scripts called by sette.sh
+# prepare_job.sh   : creates the job script for running job 
 ######################################################
 #set -vx
@@ -16,7 +21,7 @@
 # ================
 #
-# --------------------------
-# create the job script for NEMO tests 
-# --------------------------
+# -------------------------------------------------
+# script that creates the job script for NEMO tests 
+# -------------------------------------------------
 #
 # SYNOPSIS
Index: /trunk/NEMOGCM/SETTE/sette.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/sette.sh	(revision 3519)
+++ /trunk/NEMOGCM/SETTE/sette.sh	(revision 3520)
@@ -11,5 +11,5 @@
 #
 #############################################################
-#set -x
+set -vx
 set -o posix
 #set -u
@@ -125,5 +125,5 @@
 # ==========
 #
-# $Id$
+# $Id: $
 #
 #   * creation
@@ -139,5 +139,4 @@
 export MPIRUN_FLAG="yes"
 
-
 # Directory to run the tests
 SETTE_DIR=$(cd $(dirname "$0"); pwd)
@@ -152,5 +151,6 @@
 cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
 
-for config in 1 2 3 4 5 6 7 8 9
+###for config in 1 2 3 4 5 6 7 8 9
+for config in 5 
 do
 
@@ -167,5 +167,5 @@
     JOB_FILE=${EXE_DIR}/run_job.sh
     NPROC=1
-    \rm $JOB_FILE
+    \rm ${JOB_FILE}
     cd ${EXE_DIR}
     set_namelist namelist cn_exp \"GYRELOB_LONG\"
@@ -177,8 +177,7 @@
     set_namelist namelist_top ln_diatrc .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} no ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} no
 
     cd ${SETTE_DIR}
@@ -202,8 +201,7 @@
     set_namelist namelist_top cn_trcrst_in \"GYRELOB_LONG_00000060_restart_trc\"
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} no ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} no
 fi
 
@@ -235,8 +233,7 @@
     set_namelist namelist jpnij 4
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
     cd ${SETTE_DIR}
@@ -260,8 +257,7 @@
     set_namelist namelist jpnij 4
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -296,8 +292,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE    
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} no ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} no
 #
     export TEST_NAME="SHORT"
@@ -330,8 +325,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG 
+    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} no ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} no
 fi
 
@@ -367,8 +361,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG} 
 
     cd ${SETTE_DIR}
@@ -397,8 +390,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -432,6 +424,5 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
     
     cd ${SETTE_DIR}
@@ -457,8 +448,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME}  ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -492,8 +482,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
     cd ${SETTE_DIR}
@@ -520,8 +509,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -551,8 +539,7 @@
     set_namelist namelist jpnij 32
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG 
+    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
     cd ${SETTE_DIR}
@@ -574,8 +561,7 @@
     set_namelist namelist jpnij 32
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -605,8 +591,7 @@
     set_namelist namelist jpnij 32
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
     cd ${SETTE_DIR}
@@ -628,8 +613,7 @@
     set_namelist namelist cn_ocerst_in \"../LONG/AMM12_00000006_restart\"
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG 
+    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -660,8 +644,7 @@
     set_namelist 1_namelist ln_clobber .true.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
Index: unk/NEMOGCM/SETTE/sette.sh.vargas
===================================================================
--- /trunk/NEMOGCM/SETTE/sette.sh.vargas	(revision 3519)
+++ 	(revision )
@@ -1,593 +1,0 @@
-#!/bin/bash
-#############################################################
-# Author : Simona Flavoni for NEMO
-# Contact : sflod@locean-ipsl.upmc.fr
-#
-# sette.sh   : principal script of SET TEsts for NEMO (SETTE)
-# ----------------------------------------------------------------------
-# NEMO/SETTE , NEMO Consortium (2010)
-# Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
-# ----------------------------------------------------------------------
-#
-#############################################################
-#set -x
-set -o posix
-#set -u
-#set -e
-#+
-#
-# ================
-# sette.sh
-# ================
-#
-# ----------------------------------------------
-# Set of tests for NEMO
-# ----------------------------------------------
-#
-# SYNOPSIS
-# ========
-#
-# ::
-#
-#  $ ./sette.sh
-#
-# DESCRIPTION
-# ===========
-#
-# Variables to be checked by user:
-#
-# COMPILER : name of compiler as defined in NEMOGCM/ARCH directory 
-#
-# BATCH_COMMAND :  name of the command for batch submission
-#
-# MPI_INTERACT :  
-#
-#         for MPP tests, "no" for batch execution, "yes" for interactive execution 
-#
-#         NOTE: for run with 1 process tests are run always in MPI_INTERACT="yes"
-#
-# Principal script is sette.sh, that calls 
-#
-#  makenemo 
-#
-#   creates the exectuable in ${CONFIG_NAME}/BLD/bin/nemo.exe  (and its link opa in ${CONFIG_NAME}/EXP00)
-#
-#  param.cfg : sets and loads following directories:
-#
-#   FORCING_DIR : is the directory for forcing files (tarfile)
-#
-#   INPUT_DIR : is the directory for input files storing 
-#
-#   TMPDIR : is the temporary directory (if needed)
-# 
-#   NEMO_VALIDATION_DIR : is the validation directory
-#
-#   (NOTE: this file is the same for all configrations to be tested with sette)
-#
-#
-#  all_functions.sh : loads functions used by sette (note: new functions can be added here)
-#
-#   set_namelist : function declared in all_functions that set namelist parameters for tests
-#
-#   post_test_tidyup : creates validation storage directory and copy needed output files (solver.stat and ocean.output) in it after execution of test.
-#
-#   Tree of VALIDATION is:
-#
-#   NEMO_VALIDATION_DIR/WCONFIG_NAME/WCOMPILER_NAME/TEST_NAME/REVISION_NUMBER(or DATE)
-#
-#
-#  prepare_exe_dir.sh : defines and creates directory where the test is executed
-#
-#       execution directory takes name of TEST_NAME defined in every test in sette.sh
-#
-#       ( each test in executed in its own directory )
-#
-#
-#  fcm_job.sh 
-#
-#   runs job in interactive or batch mode : all jobs using 1 process are run interactive, and all MPP jobs are
-#
-#   run in batch (MPI_INTERACT="no") or interactive (MPI_INTERACT="yes") see sette.sh and BATCH_TEMPLATE directory
-#
-#   (note this job needs to have an input_CONFIG.cfg in which can be found input tar file)
-# 
-#  NOTE: if job is not launched for some problems you have executable ready in ${EXE_DIR} directory
-#
-#  NOTE: the changed namelists are leaved in ${EXE_DIR} directory whereas original namelist remains in ${NEW_CONF}/EXP00
-# 
-#  in ${SETTE_DIR} is created output.sette with the echo of executed commands
-#
-#  if sette.sh is stopped in output.sette there is written the last command executed by sette.sh
-#
-#  if you run: ./sette.sh 2>&1 | tee out.sette
-#
-#  in ${SETTE_DIR} out.sette is redirected standard error & standard output
-#
-#
-# EXAMPLES
-# ========
-#
-# ::
-#
-#  $ ./sette.sh 
-#
-#
-# TODO
-# ====
-#
-# option debug
-#
-# EVOLUTIONS
-# ==========
-#
-# $Id: sette.sh 2890 2011-10-06 11:03:48Z flavoni $
-#
-#   * creation
-#
-#-
-#
-#-
-# Compiler among those in NEMOGCM/ARCH
-COMPILER=PW6_VARGAS
-export BATCH_COMMAND=llsubmit
-export MPI_INTERACT="yes"
-
-# Directory to run the tests
-SETTE_DIR=$(cd $(dirname "$0"); pwd)
-MAIN_DIR=${SETTE_DIR%/SETTE}
-CONFIG_DIR=${MAIN_DIR}/CONFIG
-TOOLS_DIR=${MAIN_DIR}/TOOLS
-COMPIL_DIR=${TOOLS_DIR}/COMPILE
-
-CMP_NAM=${1:-$COMPILER}
-# Copy job_batch_COMPILER file for specific compiler into job_batch_template
-cd ${SETTE_DIR}
-cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-
-for config in 1 2 3 4 5 6 7 8
-do
-
-# TESTS FOR GYRE_LOBSTER CONFIGURATION
-if [ ${config} -eq 1 ] ;  then
-    ## Restartability tests for GYRE_LOBSTER
-    export TEST_NAME="LONG"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRELOB_LONG -r GYRE_LOBSTER add_key "key_mpp_mpi key_mpp_rep"
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRELOB_LONG\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 120
-    set_namelist namelist nn_stock 60
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_GYRE.cfg 4 ${TEST_NAME}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRELOB_SHORT\"
-    set_namelist namelist nn_it000 61
-    set_namelist namelist nn_itend 120
-    set_namelist namelist nn_stock 60
-    set_namelist namelist ln_rstart .true.
-    set_namelist namelist nn_rstctl 2
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_solv 2
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    cp ..\/LONG\/GYRELOB_LONG_00000060_restart*.nc .
-    set_namelist namelist cn_ocerst_in \"GYRELOB_LONG_00000060_restart\"
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_rsttr .true.
-    set_namelist namelist_top nn_rsttr 2
-    set_namelist namelist_top cn_trcrst_in \"GYRELOB_LONG_00000060_restart_trc\"
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_GYRE.cfg 4 ${TEST_NAME}
-fi
-
-if [ ${config} -eq 2 ] ;  then
-    ## Repropducibility tests for GYRE_LOBSTER
-    export TEST_NAME="REPRO_1_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRELOB_4 -r GYRE_LOBSTER add_key "key_mpp_rep key_mpp_mpi"
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRELOB_14\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 60
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist nn_bench 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist jpni 1
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 4
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_GYRE.cfg 4 ${TEST_NAME}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_2"
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRELOB_22\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 60
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_GYRE.cfg 4 ${TEST_NAME}
-fi
-
-# TESTS FOR ORCA2_LIM_PISCES CONFIGURATION
-if [ ${config} -eq 3 ] ;  then
-    ## Restartability tests for ORCA2_LIM_PISCES
-    export TEST_NAME="LONG"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_LONG -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep" 
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"O2LP_LONG\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 150
-    set_namelist namelist nn_stock 75
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_LIM_PISCES.cfg 4 ${TEST_NAME}
-    
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"O2LP_SHORT\"
-    set_namelist namelist nn_it000 76
-    set_namelist namelist nn_itend 150
-    set_namelist namelist nn_stock 75
-    set_namelist namelist ln_rstart .true.
-    set_namelist namelist nn_rstctl 2
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    set_namelist namelist nn_solv 2
-    cp ../LONG/O2LP_LONG_00000075_restart*nc .
-    set_namelist namelist cn_ocerst_in \"O2LP_LONG_00000075_restart\"
-    set_namelist namelist_ice cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_rsttr .true.
-    set_namelist namelist_top nn_rsttr 2
-    set_namelist namelist_top cn_trcrst_in \"O2LP_LONG_00000075_restart_trc\"
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_LIM_PISCES.cfg 4 ${TEST_NAME}
-fi
-
-if [ ${config} -eq 4 ] ;  then
-    ## Repropducibility tests for ORCA2_LIM_PISCES
-    export TEST_NAME="REPRO_4_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_16 -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_rep key_mpp_mpi"
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 75
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 4
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 16
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_LIM_PISCES.cfg 16 ${TEST_NAME}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_8"
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 75
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 8
-    set_namelist namelist jpnij 16
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_LIM_PISCES.cfg 16 ${TEST_NAME}
-fi
-
-# TESTS FOR ORCA2_OFF_PISCES CONFIGURATION
-if [ ${config} -eq 5 ] ;  then
-    ## Restartability tests for ORCA2_OFF_PISCES
-    export TEST_NAME="LONG"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_LONG -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep"
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"OFFP_LONG\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 40
-    set_namelist namelist nn_stock 20
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_OFF_PISCES.cfg 4 ${TEST_NAME}
-    
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"OFFP_SHORT\"
-    set_namelist namelist nn_it000 21
-    set_namelist namelist nn_itend 40
-    set_namelist namelist nn_stock 20
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    cp ../LONG/OFFP_LONG_00000020_restart*nc .
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_rsttr .true.
-    set_namelist namelist_top nn_rsttr 2
-    set_namelist namelist_top cn_trcrst_in \"OFFP_LONG_00000020_restart_trc\"
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_OFF_PISCES.cfg 4 ${TEST_NAME}
-fi
-
-if [ ${config} -eq 6 ] ;  then
-    ## Repropducibility tests for ORCA2_OFF_PISCES
-    export TEST_NAME="REPRO_4_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_16 -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_rep key_mpp_mpi"
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 40
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 4
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 16
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_OFF_PISCES.cfg 16 ${TEST_NAME}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPRO_2_8"
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 40
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 8
-    set_namelist namelist jpnij 16
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
-    # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_presatm .false.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_OFF_PISCES.cfg 16 ${TEST_NAME}
-fi
-
-# TESTS FOR AMM12 CONFIGURATION
-if [ ${config} -eq 7 ] ;  then
-    ## Reproducibility tests for AMM12
-    export TEST_NAME="REPO_8_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 add_key "key_mpp_rep"
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 576
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_dyn2d 2
-    set_namelist namelist nn_tra_dta 0
-    set_namelist namelist jpni 8
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 32
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_AMM12.cfg 32 ${TEST_NAME}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="REPO_4_8"
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 576
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist nn_dyn2d 2
-    set_namelist namelist nn_tra_dta 0
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 4
-    set_namelist namelist jpnj 8
-    set_namelist namelist jpnij 32
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_AMM12.cfg 32 ${TEST_NAME}
-fi
-
-if [ ${config} -eq 8 ] ;  then
-    ## Restartability tests for AMM12
-    export TEST_NAME="LONG"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 add_key "key_mpp_rep"
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 12
-    set_namelist namelist nn_stock 6
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_dyn2d 2
-    set_namelist namelist nn_tra_dta 0
-    set_namelist namelist jpni 8
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 32
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_AMM12.cfg 32 ${TEST_NAME}
-
-    cd ${SETTE_DIR}
-    export TEST_NAME="SHORT"
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 7
-    set_namelist namelist nn_itend 12
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_dyn2d 2
-    set_namelist namelist nn_tra_dta 0
-    set_namelist namelist jpni 8
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 32
-    set_namelist namelist ln_rstart .true.
-    set_namelist namelist nn_rstctl 2
-    cp ../LONG/AMM12_00000006_restart*.nc .
-    set_namelist namelist cn_ocerst_in \"AMM12_00000006_restart\"
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_AMM12.cfg 32 ${TEST_NAME}
-fi
-
-# TEST FOR ORCA2_LIM_AGRIF : simple test of running AGRIF (no restartability neither reproducibility tests)
-if [ ${config} -eq 9 ] ;  then
-    ## ORCA2_LIM with Agulhas AGRIF zoom in MPI
-    export TEST_NAME="SHORT"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM -j 8 add_key "key_mpp_rep key_mpp_mpi key_agrif" del_key "key_zdftmx"
-    cd ${SETTE_DIR}
-    . param.cfg
-    . all_functions.sh
-    . prepare_exe_dir.sh
-    cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 75
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 1
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 2
-    set_namelist 1_namelist nn_it000 1
-    set_namelist 1_namelist nn_itend 150
-    set_namelist 1_namelist ln_ctl .false.
-    set_namelist 1_namelist ln_clobber .true.
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh input_ORCA2_LIM_AGRIF.cfg 2 ${TEST_NAME}
-fi
-
-done
Index: /trunk/NEMOGCM/SETTE/sette_beginner.sh
===================================================================
--- /trunk/NEMOGCM/SETTE/sette_beginner.sh	(revision 3519)
+++ /trunk/NEMOGCM/SETTE/sette_beginner.sh	(revision 3520)
@@ -41,5 +41,6 @@
 export BATCH_COMMAND_PAR="llsubmit"
 export BATCH_COMMAND_SEQ=$BATCH_COMMAND_PAR
-# export MPI_INTERACT="no"
+export INTERACT_FLAG="no"
+export MPIRUN_FLAG="yes"
 
 # Directory to run the tests
@@ -58,7 +59,7 @@
 # small test to start
 # compile GYRE configuration with gfortran_osx compiler run with 1 proc, by default in cpp_GYRE.fcm file : 
-export TEST_NAME="TEST02"
+export TEST_NAME="prova_beginner"
 cd ${SETTE_DIR}
-. ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE
+. ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE -j 10 add_key "key_mpp_mpi"
 cd ${SETTE_DIR}
 . param.cfg 
@@ -67,4 +68,6 @@
 . prepare_exe_dir.sh
 JOB_FILE=${EXE_DIR}/run_job.sh
+NPROC=4
+\rm $JOB_FILE
 cd ${EXE_DIR}
 # setting namelist parameters
@@ -79,9 +82,6 @@
 
 cd ${SETTE_DIR}
-# . ./prepare_job.sh input_file_config_name NB_PROCS TEST_NAME MPI_FLAG JOB_FILE
-. ./prepare_job.sh input_GYRE.cfg 1 SHORT no $JOB_FILE
+. ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
 # run job, with 1 processor, test named SHORT (= 60 time steps)
-#. ./fcm_job.sh NB_PROCS JOB_FILE INTERACT_FLAG MPI_FLAG
-    cd ${SETTE_DIR}   
-. ./fcm_job.sh 1 $JOB_FILE no no
-
+cd ${SETTE_DIR}   
+. ./fcm_job.sh 4 ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
